import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetInventoryFreeBarsService = createAsyncThunk(
  "SLAUGHTER_GET_INVENTORY_FREE_BARS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_free_bar/", {
      params: { date: d.selectedDate1, kill_house_key: d.kill_house_key },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
